package org.ow2.orchestra.env.binding;

import org.ow2.orchestra.env.descriptor.QuerierDbSessionDescriptor;
import org.ow2.orchestra.env.xml.WireParser;
import org.ow2.orchestra.xml.Parse;
import org.ow2.orchestra.xml.Parser;
import org.ow2.orchestra.xml.TagBinding;
import org.w3c.dom.Element;

public class QuerierDbSessionBinding extends TagBinding {


  public QuerierDbSessionBinding() {
    super("querier-db-session", null, WireParser.CATEGORY_DESCRIPTOR);
  }

  public Object parse(final Element element, final Parse parse, final Parser parser) {
    final QuerierDbSessionDescriptor descriptor = new QuerierDbSessionDescriptor();

    if (element.hasAttribute("session")) {
      descriptor.setSessionName(element.getAttribute("session"));
    }

    return descriptor;
  }

}
